Update Network Profile

Update Network Profile

Only Solution users, Container admins, and System admins can update NetworkProfiles.

Request
URI
PUT
https://{api_host}/container-service/api/config/network-profiles/{id}
COPY
Path Parameters
string
id
Required

The id of the NetworkProfile


Request Body

The NetworkProfile to be updated.

deploymentNetworkProfile of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "isolationNetworkLink": "string",
    "isolationNetworkCIDRAllocationLink": "string",
    "documentUpdateTimeMicros": "string",
    "subnetLinks": [
        "string"
    ],
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "name": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string",
    "isolationType": "string",
    "isolatedSubnetCIDRPrefix": 0
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
isolationNetworkLink
Optional

isolationNetworkLink

string
isolationNetworkCIDRAllocationLink
Optional

isolationNetworkCIDRAllocationLink

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

object
customProperties
Optional

customProperties

array of string
subnetLinks
Optional

subnetLinks

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

string
name
Optional

name

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

string
isolationType
Optional

isolationType

Possible values are : NONE, SUBNET, SECURITY_GROUP,
integer As int32 As int32
isolatedSubnetCIDRPrefix
Optional

isolatedSubnetCIDRPrefix

Responses
200

'OK' is returned when the NetworkProfile is updated.

Operation doesn't return any data structure